Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries.toolchain
[Java] Interface PlatformConfigurableToolChain

    org.gradle.nativebinaries.toolchain.PlatformConfigurableToolChain
      org.gradle.nativebinaries.ToolChain
          org.gradle.api.Named

All Superinterfaces:
  ToolChain, Named

    @Incubating
    public interface PlatformConfigurableToolChain
    extends ToolChain

A ToolChain that can handle additional platforms simply by configuring the NativeBinary.

Method Summary
`void` | `addPlatformConfiguration(TargetPlatformConfiguration platformConfig)` Add configuration for a target platform.

Methods inherited from interface Named
getName

Method Detail

### addPlatformConfiguration

    public void addPlatformConfiguration(TargetPlatformConfiguration platformConfig)

  Add configuration for a target platform.

Gradle API 1.10